Back to Amazon
Apify·Amazon

List Amazon Reviews (Extractor)

/web_wanderer/amazon-reviews-extractorasync$0.003 / result

[UPDATED] Scrape Amazon reviews per product! Filter by stars, keywords, media & verified purchases. Extract global reviews (20+ regions). Export JSON/CSV. Perfect for market research & SEO. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • personal_databoolean

    Scrape personal data (e.g., names, emails, identifiers). **GDPR (EU)** and **CCPA (California)** compliance required. Ensure legal justification or user consent. (default false)

  • productsarrayrequired

    The ASINs or URLs of the product you want to retrieve. For example: - Product URL: https://www.amazon.com/Logitech-LIGHTSPEED-Wireless-Gaming-Mouse/product-reviews/B07CMS5Q6P/ref=cm_cr_getr_mb_paging_btm_2?ie=UTF8&reviewerType=all_reviews&pageNumber=2&formatType=current_format - Product ID: B07MVJZQ

  • limitinteger

    Set number of pages to scrape, Amazon limits the number to 10 pages per product which are 100 review max. You can get more by setting Stars (one star, two stars, etc.), changing Variant, and Sort type. (default 20)

  • sortstring

    Select Sort type (default "helpful")

    helpful, recent

  • starsarray

    Select the stars you want to scrape. You can select multiple stars

  • all_starsboolean

    Scrape up to 100 review per star (default false)

  • ratingstring

    Select reviews rating. This will filter reviews based on the stars. (default "all")

    all, five_star, four_star, three_star, two_star, one_star, positive, critical

  • keywordsarray

    Enter keywords that the review must have.

  • avp_reviewsboolean

    Return only reviews that have the verified purchase badge. (default false)

  • include_variantsboolean

    Whether to return reviews for product variants. (default true)

  • start_datestring

    Inclusive start of date range, format YYYY-MM-DD, e.g. 2025-06-01

  • end_datestring

    Inclusive end of date range, format YYYY-MM-DD, e.g. 2025-06-30

  • scrape_image_reviewsboolean

    Scrape reviews that contain images. (default true)

  • scrape_video_reviewsboolean

    Scrape reviews that contain videos. (default true)

  • regionstring

    Select domain (default "amazon.com")

    amazon.com, amazon.ca, amazon.de, amazon.fr, amazon.co.uk, amazon.it, amazon.es, amazon.com.au, …

  • languagestring

    Filter reviews based on review language (default "all")

    all, en, es, fr, de, pt, it, nl, …

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/web_wanderer/amazon-reviews-extractor","input":{"products":["https://www.amazon.com/Logitech-LIGHTSPEED-Wireless-Gaming-Mouse/product-reviews/B07CMS5Q6P/ref=cm_cr_getr_mb_paging_btm_2?ie=UTF8&reviewerType=all_reviews&pageNumber=2&formatType=current_format","B07MVJZQTC"]}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.